Applies to: Player 5.0 for ArcGIS Pro, Player 4.4 for ArcMap


Player is an extension to ArcGIS Desktop or ArcGIS Pro. Player is supported on Windows 7, Windows 8 and Windows 10 for the following Esri releases:

  • ArcGIS Desktop 10.3 up to 10.3.1
  • ArcGIS Desktop 10.4 up to 10.4.1
  • ArcGIS Desktop 10.5 up to 10.5.1
  • ArcGIS Desktop 10.6
  • ArcGIS Pro 2.2 (also requires either ArcGIS ArcGIS Engine 10.3 or greater; or alternatively ArcGIS Desktop 10.3 or greater)


Player is an extension/addin to ArcGIS Desktop, licensed separately through Esri. ArcGIS Desktop is available in three license levels: Basic, Standard, or Advanced. The complete Player workflow can be carried out using an ArcGIS Desktop Basic license except for:

  • Player for ArcSDE – moving the Player database to an ArcSDE enterprise geodatabase and allowing geologists to do multi-user editing requires at least an ArcGIS Desktop Standard license.
  • PlayPen – our functionality for working with raster dataset requires the ArcGIS Spatial Analyst extension.
  • Player 5.0 for ArcGIS Pro – in addition to an ArcGIS Pro license (minimum Basic) Player requires an appropriate license for either ArcGIS ArcGIS Engine 10.3 or greater; or alternatively ArcGIS Desktop 10.3 of greater.


Additionally:

  • ArcMap 10.3 to 10.6 and Player in ArcGIS Pro requires an additional Microsoft library to open Excel XLSX files. The download is available here: 2007 Office System Driver: Data Connectivity Components.
  • DocLibrary preview uses the native preview capability in Windows. The following file types require:
    • PDF documents - Adobe Reader
    • Office documents – Office 2012 or greater


Enterprise geodatabase support

Player supports data in either an Esri file geodatabase or an ArcSDE geodatabase. You require additional licensing from GIS-PAX to access a Player geodatabase in ArcSDE.

As Player runs as an extension to ArcGIS Desktop/Pro it has the same system requirements and supports the same matrix of database platforms and versions. However GIS-PAX only certifies Oracle and SQL Server:

Player 4.4 (Build 6900) and Player 5.0 (Build 6900) has been tested with ArcSDE 10.5 on the following databases:

  • Oracle Standard/Standard One/Enterprise editions:
    • Oracle 12c R2 (64-bit) 12.2.0.1
  • SQL Server editions:
    • Microsoft SQL Server 2017 (64-bit)